%define upstream_name    Test-WWW-Selenium
%define upstream_version 1.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Test applications using Selenium Remote Control
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Mock::LWP)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(base)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
Selenium Remote Control (SRC) is a test tool that allows you to write
automated web application UI tests in any programming language against any
HTTP website using any mainstream JavaScript-enabled browser. SRC provides
a Selenium Server, which can automatically start/stop/control any supported
browser. It works by using Selenium Core, a pure-HTML+JS library that
performs automated tasks in JavaScript; the Selenium Server communicates
directly with the browser using AJAX (XmlHttpRequest).

http://www.openqa.org/selenium-rc/

This module sends commands directly to the Server using simple HTTP
GET/POST requests. Using this module together with the Selenium Server, you
can automatically control any supported browser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.360.0-6.mga6
+ Revision: 1034842
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.360.0-5.mga6
+ Revision: 934077
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.360.0-4.mga5
+ Revision: 750347
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.360.0-3.mga5
+ Revision: 686573
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.360.0-2.mga4
+ Revision: 526860
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.360.0-1.mga4
+ Revision: 439036
- update to 1.36

* Sun Jan 13 2013 umeabot <umeabot> 1.350.0-2.mga3
+ Revision: 373909
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.350.0-1.mga3
+ Revision: 342710
- update to 1.35

* Wed Nov 14 2012 jquelin <jquelin> 1.340.0-1.mga3
+ Revision: 317878
- adding missing buildrequires:
- update to 1.34

* Tue Jun 05 2012 jquelin <jquelin> 1.330.0-1.mga3
+ Revision: 255528
- update to 1.33

* Tue Mar 06 2012 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 219935
- adding missing buildrequires:
- removed extra buildrequires:

  + kharec <kharec>
    - Add BR on Devel::REPL::Plugin::Selenium
    - update to 1.32

* Sat Dec 10 2011 kharec <kharec> 1.310.0-1.mga2
+ Revision: 179929
- update to 1.31

* Wed Jun 15 2011 jquelin <jquelin> 1.250.0-1.mga2
+ Revision: 107477
- update to 1.25

* Sat Feb 26 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 60367
- update to 1.24

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-2.mga1
+ Revision: 34311
- mageia rebuild
- imported package perl-Test-WWW-Selenium


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.230.0-2mdv2011.0
+ Revision: 624834
- Add libwww-perl to the dependencies explicitly
- import perl-Test-WWW-Selenium

